@import "../../mixins/mixin";
@import "../../fonts/fonts";

.product_item {
  width: 100%;
  box-sizing: border-box;
  font-family: $font-family;
  p {
    width: 600px;
    margin: auto;
    font-size: 20px;
    padding: 30px;
    span {
      font-weight: bold;
      font-size: 22px;
    }
  }
  .product_img {
    img {
      width: 100%;
    }
  }
  .first_col_1{
    display: flex;
    align-items: center;
    .product_text {
      
      width: 350px;
      // height: 150px;
      background-color: #d4a73f;
      display: flex;
      align-items: center;
      border-radius: 0px 20px 20px 0px;
      p {
        padding: 5px;
        font-size: 20px;
        letter-spacing: 1px;
        color: $color-white;
        font-family: $font-family;
      }
      img {
        padding: 5px;
      }
    }

  }  
  .third_col{
      display: flex;
      align-items: center;
    .product_text_1 {
      background-color: #d4a73f;
      display: flex;
      align-items: center;
      padding: 5px;
      width: 350px;
      // height: 150px;
      margin-left: auto;
      border-radius: 20px 0px 0px 20px;
      p {
        padding: 5px;
        font-size: 20px;
        letter-spacing: 1px;
        color: $color-white;
        font-family: $font-family;
      }
      img {
        padding: 5px;
      }
    }

  }

  
}


@include for-LargePhone {
  .product_item {
    width: 100%;
    box-sizing: border-box;
    font-family: $font-family;
    p {
      width:315px;
     
      font-size:15px;
      padding: 15px;
      span {
        font-weight: bold;
        font-size: 18px;
      }
    }
    .product_img {
      img {
        width: 100%;
      }
    }
    .first_col_1{
      display: flex;
      align-items: center;
      .product_text {
        opacity: 0.8;
        position: absolute;
        width: 300px;
        height: 100px;
        
        p {
          padding: 5px;
          font-size: 15px;
          font-weight: 500;
          color: $color-white;
          font-family: $font-family;
        }
        img {
          padding: 5px;
        }
      }
  
    }
    
    .third_col{
        
      .product_text_1 {
        width: 300px;
        height: 100px;
        opacity: 0.8;
        p {
          padding: 5px;
          font-size: 15px;
          font-weight: 500;
          color: $color-white;
          font-family: $font-family;
        }
        img {
          padding: 5px;
        }
      }
  
    }
  .main_col_third{
    .product_row{
      flex-direction: column-reverse;
      .third_col{
        display: flex;
        justify-content: end;
        .product_text_1{
          position: absolute;

          
        }
      }
    }
    .third_col_1{
      margin-top: 70px;
    }
  }

  .first_col{
    margin-top: 70px;
  }
    
  }
  
}


// @include smallPhone{
//   .product_item{
//     .main_col_third{
//       .product_row{
       
//         .third_col{
//           .product_text_1{
//             position: absolute;
           
            
//           }
//         }
//       }
//       .third_col_1{
//         margin-top: 100px;
//       }
//     }

//   }
// }


// @include for-LargePhone {
//   .product_item {
//     p {
//       width: 300px;
//     }
//     .first_col {
//       position: relative;
//     }
//     .first_col_1 {
//       position: absolute;
//       margin-top: 130px;
//       opacity: 0.8;
//       .product_text {
//         margin-top: 80px;
//         width: 300px;
//         height: 100px;
//       }
//     }

//     .main_col_third {
//       margin-top: 80px;
//       .product_row {
//         flex-direction: column-reverse;
//         margin-top: 105px;

//         .third_col {
//           opacity: 0.8;
//           margin-top: -95px;
//           .product_text_1{
//             width: 300px;
//             height: 100px;
//           }
//         }
//       }
//     }

//     .main_fourth_col {
//       margin-top:40px;
//     }
//   }
// }

// @media screen and (max-width:320px){

//   .product_item {
    
//     .main_col_third{
//       .product_row{
        
//         .third_col{
//           .product_text_1{
//             position: absolute;
           
//             width: 315px;
//           }
//         }
//       }
      
//     }
//   }

  
// }